#delimit ;
* MAIN FILE: WAGE PENALTY OF UNDOCUMENTED IMMIGRANTS;

* IMPUTE UNDOCUMENTED STATUS;
do create_acs.do;


#delimit ;
* TABLES:;
* SUMMARY STATISTICS;
do Table_1.do;

* WARREN COMPARISON, ILLEGALS BY STATE;
do Table_2.do;

* WAGE PENALTY DECOMPOSITION;
do Table_3.do;

* DATA AND WAGE PENALTY;
do Table_4.do;

* FRACTION ILLEGAL AND WAGE PENALTY BY TOP 15 STATES (TABLE 4);
* DETERMINANTS OF WAGE PENALTY ACROSS STATES (TABLE 5);
* HISTORGRAM OF WAGE PENALTY DISTRIBUTIONS BY STATES (FIGURE 7);
* NOTE: WE DO NOT USE "generate_vars_and_sample.ado" FILE;
* SINCE WE NEED TO CALCULATE LEGAL FRACTIONS BEFORE DROPS;
do Tables_5_6.do;


* FIGURES:;

* FIGURE 1: ILLEGAL FRACTION BY AGE;
do Fig_1.do;

* FIGURE 2: WAGE PENALTY TREND BY YEAR;
do Fig_2.do;

* FIGURE 3: WAGE PENALTY BY COHORT;
do Fig_3.do;

* FIGURE 4: AGE-EARNINGS PROFILES, NATIVES/LEGAL/ILLEGAL;
do Fig_4.do;

#delimit ;
* FIGURE 6: OCCUPATIONAL TASK REQUIREMENTS OVER LIFECYCLE, NATIVES/LEGAL/ILLEGAL;
do Fig_5.do;

* FIGURE 5: WAGE PENALTY OVER LIFECYCLE;
do Fig_6.do;

