#delimit ;
* FIGURE 4: AGE-EARNINGS PROFILES, NATIVES, LEGALS, AND UNDOCUMENTED;
* ACS;
capture log close;
log using "Logs/Fig_4_ACS.log", replace;

use acs/acs.dta, clear;

drop if year==2017;


do generate_vars_and_sample.ado;



* MEN;
preserve;
keep if sex==1;
collapse (mean) lwage [aw=perwt], by(age code);
reshape wide lwage, i(age) j(code);
list age lwage*, separator(0) noobs;
restore;
* WOMEN;
preserve;
keep if sex==2;
collapse (mean) lwage [aw=perwt], by(age code);
reshape wide lwage, i(age) j(code);
list age lwage*, separator(0) noobs;
restore;



log close;

