#delimit ;
* FIGURE 5: AGE-TASK REQUIREMENT PROFILES, NATIVES, LEGALS, AND UNDOCUMENTED;
* ACS;
capture log close;
log using "Logs/Fig_5_ACS.log", replace;

use acs/acs.dta, clear;

drop if year==2017;

do generate_vars_and_sample.ado;

#delimit ;
merge m:1 occ1990 sex using occ1990tasks;
keep if _merge==3;

* MEN;
preserve;
keep if sex==1;
collapse (mean) ana man [aw=perwt], by(age code);
reshape wide ana man, i(age) j(code);
list age ana*, separator(0) noobs;
list age man*, separator(0) noobs;
restore;
* WOMEN;
preserve;
keep if sex==2;
collapse (mean) ana man [aw=perwt], by(age code);
reshape wide ana man, i(age) j(code);
list age ana*, separator(0) noobs;
list age man*, separator(0) noobs;
restore;



log close;

